---
title: Studia
author:
date: 2024-03-01
...

# Studia {#studia}

## plugins.studia.studia.effects (`DATA`) {#effects}

Statements that read or write a location.


> [`effects`](#effects)  `::= {` _fields…_ `}`
  

| Field | Format | Description |
|:------|:------:|:------------|
| `"direct"` | `[` [`fct`](../../kernel/ast.md#fct)  , [`marker`](../../kernel/ast.md#marker)  `]` `[]` | List of statements with direct effect. |
| `"indirect"` | `[` [`fct`](../../kernel/ast.md#fct)  , [`marker`](../../kernel/ast.md#marker)  `]` `[]` | List of statements with indirect effect. |


## plugins.studia.studia.getReadsLval (`GET`) {#getreadslval}

Get the list of statements that read a lval.


> _input_ `::=` [`marker`](../../kernel/ast.md#marker) 
  

> _output_ `::=` [`effects`](studia.md#effects) 
  

## plugins.studia.studia.getWritesLval (`GET`) {#getwriteslval}

Get the list of statements that write a lval.


> _input_ `::=` [`marker`](../../kernel/ast.md#marker) 
  

> _output_ `::=` [`effects`](studia.md#effects) 
  